unit ouser;

interface

function MakeUser(usrName:string):boolean;
function RemoveUser(usrName:string):boolean;

implementation

uses nwbindry, nwfile;

function MakeUser(usrName:string):boolean;
var ObjID :Longint;
    ok    :boolean;
    DirHandle,EffRights:Byte;
begin
  ok:=(CreateBinderyObject(usrName,OT_USER,
             BF_ITEM,BS_LOGGED_READ OR BS_ANY_WRITE)
             and
             GetBinderyObjectID(usrName,OT_USER,objID));
  if ok then begin
    AlloctemporaryDirHandle(31,0,'usr:\home',DirHandle,EffRights);
    CreateDirectory(DirHandle,usrName,$FF);
    SetTrustee(31,'usr:\home'+usrName,ObjID,
      TA_READ or TA_WRITE or TA_CREATE or TA_DELETE or TA_SEARCH or TA_MODIFY);
    DeallocateDirHandle(31); { not really necessary for temp handles }
  end
end;

function RemoveUser(usrName:string):boolean;
var ObjID:Longint;
begin
  removeUser := ( DeleteBinderyObject(usrName,OT_USER)
              and
              not GetBinderyObjectID(usrName,OT_USER,objID) );
end;

end.
