unit nwitype;

interface

uses objects;

type
  PNWColl = ^TNWColl;
  TNWColl =
    object(TCollection)
      function Getstr(id:word;level:byte):string; virtual;
      procedure FreeItem(Item: Pointer); virtual;
      procedure showstrlist;
    end;
  PNWUserColl = ^TNWUserColl;
  TNWUserColl =
    object(TNWColl)
      function getstr(id:word;level:byte):string; virtual;
      function getidhex(id:word):string;
      function getid(id:word):longint;
    end;
  PNWUser = ^TNWUser;
  TNWUser   =
    object(TObject)
      name:string;
      ID:Longint;
    end;

implementation

uses nwmisc;

function TNWColl.getStr;
begin getStr:='?'; end;

procedure TNWColl.FreeItem(Item: Pointer);
begin disposestr(item) end;

procedure TNWColl.showstrlist;
var i:word;
begin
  if count>0 then
    for i:=0 to count-1 do
      begin
        write(pstring(at(i))^);
        if i<count-1 then write(', ');
      end
  else write('<none>');
  writeln;
end;

function TNWUserColl.getStr;
begin getStr:=pNWUser(at(id-1))^.name; end;

function TNWUserColl.getidhex;
var x:longint;
begin
  x:=getid(id);
  getidhex:=hexdumpstr(x,8);
end;

function TNWUserColl.getid;
begin getid:=pNWUser(at(id-1))^.id; end;

end.