unit setenv;
{ TP 5.5 c't/as 5/91                             }
{ setzt das Environment vom UR-COMMAND.COM       }
{ "verkraftet" auch lngere Eintrge             }
{ behebt so Bug im COMMAND.COM von DOS 3.3, 4.01 }

interface

procedure EnvInfo;
PROCEDURE setextenv (x:STRING);

implementation

USES dos;
TYPE string4=STRING[4];
TYPE ptyp=^CHAR;
TYPE ftyp=ARRAY[0..128] OF CHAR;

TYPE psptyp=RECORD
               allerlei: ARRAY[$00..$15] OF BYTE;
            parentseg:WORD;
               hierauch: ARRAY[$18..$2B] OF BYTE;
            envseg  : WORD;
               nochwas : ARRAY[$2E..$FF] OF BYTE;
            END;

VAR
    envsegptr: ^WORD;
    compsp:^psptyp;
    ownpsp:^psptyp;
    comenv: PTYP;
    ownenv: ptyp;

    envptr   :ptyp;
    nxtenvptr:ptyp;
    endeptr  :ptyp;
    emax:^WORD;
    maxbytes:WORD;
    envende:WORD;
    nxtenv:WORD;
    envseg:WORD;
    para:STRING;

FUNCTION SI:WORD;INLINE ($89/$F0);

FUNCTION ST(x:WORD):string4;
VAR r:string4;
BEGIN
 Str (x,r);
 WHILE Length (r) < 2 DO r:='0'+r;
 st:=r;
END;

FUNCTION Hexbyte(zahl:BYTE):string4;
VAR i,j:BYTE;
BEGIN
i:=zahl MOD 16 + $30; IF i>$39 THEN i:=i+7;
j:=zahl DIV 16 + $30; IF j>$39 THEN j:=j+7;
hexbyte:=Chr(j)+Chr(i);
END;

FUNCTION Hexword(zahl:WORD):string4;
BEGIN
 hexword:=hexbyte(Hi(Zahl))+hexbyte(Lo(Zahl));
END;

PROCEDURE error(meldung:STRING;errnr:BYTE);
BEGIN
 WriteLn (meldung);
 HALT(errnr);
END;

PROCEDURE setenvironment (x:STRING);
VAR
   gleichpos,
    len:WORD;
    anz:WORD;
    i:INTEGER;
    envar:STRING;
BEGIN
 len:=Length(getenv(#0));
 envende:=SI;
 { Fehler, falls kein "=" im String}
 gleichpos:=Pos('=',x);
 IF gleichpos <=1  THEN error ('Syntaxfehler',1);

 { gleichpos zeigt auf "="}
 FOR i:=1 TO gleichpos-1 DO x[i]:=UpCase(x[i]);
 envar:=Copy(x,1,gleichpos-1);
 len:= Length(getenv(envar));
 nxtenv:=SI;

 IF envende+Length(x)-len+2 > maxbytes THEN
    error ('Environment zu klein',2);

 IF len > 0 THEN
  BEGIN
  INC (len,gleichpos+1);
  INC (nxtenv);
  END;
 IF (envar='PATH') THEN                   { Spezialbehandlung fr PATH }
  BEGIN
  FOR i:=gleichpos TO Length (x) DO x[i]:=UpCase (x[i]);      { Upcase }
  WHILE Pos (' ',x)> 0 DO Delete (x,Pos(' ',x),1);      { keine Blanks }
  WHILE Pos (';;',x)> 0 DO Delete (x,Pos(';;',x),1);    { keine ;;     }
  IF Pos (';',x)=6 THEN Delete (x,6,1);                 { ; nicht vorn }
  IF Pos (';',x)=Length(x) THEN Delete (x,Length(x),1);{ ; nicht hinten}
  END;

 envptr:=Ptr(envseg,nxtenv-len);
 nxtenvptr:=Ptr(envseg,nxtenv);

{ alten Eintrag - falls vorhanden - lschen }
 Move (nxtenvptr^,envptr^,envende-nxtenv);
 envptr:=Ptr(envseg,envende-len);
 IF Copy (x,gleichpos+1,255)='' THEN x:='';
 x:=x+#0#0;
 Move (Ptr(SSeg,Ofs(x)+1)^,envptr^,Length(x));
END;

PROCEDURE get_makro (VAR x:STRING);
VAR i,q:BYTE;
    d:WORD;
    name:STRING;
    inch:CHAR;
    reg:registers;

PROCEDURE getDosversion;
VAR i:INTEGER;
BEGIN
  d:=Swap(dosversion);
  name:='';
  FOR i:=0 TO 3 DO
  BEGIN
   IF i=2 THEN name:='.'+name;
   name:=CHAR((d SHR (4*i)) AND $0F+$30)+name;
  END;
END;

PROCEDURE getLastdrive;
VAR reg:registers;
 BEGIN
 WITH reg DO
 BEGIN
 reg.ah:=$19;  { aktuelles Lw ermitteln }
 MsDos(reg);
 dl := al;
 ah := $0E;          { Select Disk }
 MsDos(reg);
 IF al <= 26 THEN name:=CHAR(al+$41)
             ELSE name:='Z:';
 END;
END;

PROCEDURE Clear_environment;
VAR i:INTEGER;
BEGIN
 WORD (Ptr(envseg,0)^):=0;
 name:='';
 x:='EXIT';
END;

PROCEDURE Getdatname (VAR dat:TEXT);
VAR spath:pathstr;
    p:INTEGER;

BEGIN
 p:=Pos ('=',x);
 IF p=0 THEN
       BEGIN
        GetDir (0,spath);
        spath:=spath+'\SET.ENV';
       END
       ELSE spath:=Copy (x,p+1,255);
 Assign (dat,spath);
END;

PROCEDURE Save_environment;
VAR
    outdat:TEXT;
    i:INTEGER;
BEGIN
 getdatname(outdat);
 {$I-}Rewrite (outdat); {$I+}
 IF IOResult  > 0 THEN error ('Fehler beim ffnen der Datei',3);
  FOR i:=1 TO envcount DO WriteLn (outdat,envstr(i));
  Close (outdat);
  name:='';
  x:='EXIT';
END;

PROCEDURE Load_environment;
VAR
    indat:TEXT;
BEGIN
 getdatname(indat);
{$I-}Reset (indat){$I+};
 IF IOResult > 0 THEN  error ('Datei nicht gefunden',4);
 clear_environment;
 WHILE NOT Eof (indat) DO
  BEGIN
  ReadLn (indat,x);
  setenvironment (x);
 END;
 name:='';
 x:='EXIT';
END;

PROCEDURE AddPath;
BEGIN
  IF Length(getenv ('PATH')) > 255-7 THEN error ('String-berlauf',8);
  name:='PATH='+getenv ('PATH')+';';
END;

PROCEDURE DeletePath;
VAR wildcard:BOOLEAN;
    i:INTEGER;
BEGIN
 Delete (name,1,2);
 wildcard:= name[Length(name)]='*';              { Wildcard ? }
 IF wildcard THEN Delete (name,Length(name),1);
 FOR i:=1 TO q-1 DO x[i]:=UpCase(x[i]);
 x[0]:=CHAR(q-1);
 WHILE Pos (' ',x)=Length(x) DO Delete (x,Length(x),1);
 REPEAT
 i:=Pos (name,x);
 IF i > 0 THEN
  BEGIN
  Delete (x,i,Length(name));
  IF wildcard THEN
   BEGIN
   WHILE (i <= Length (x)) AND
         (x[i]<>';') AND (x[i] <>' ') DO Delete (x,i,1);
   IF (i <= Length (x)) AND (x[i]=';') THEN Delete (x,i,1);
   END;
  END;
 UNTIL i=0;
 WHILE Pos (';;',x)> 0 DO Delete (x,Pos(';;',x),1);
 name:='';
END;

PROCEDURE gettaste;
BEGIN
  reg.ah:=8;                    { Zeichen holen via DOS}
  MsDos(reg);                   { Ctrl C erlaubt }
  name:=UpCase(CHAR(reg.al));
END;

PROCEDURE getsystime;
{ fr genauere Zeit mglichst xtime aus c't xx laden }
VAR hour,min,sec,sec100:WORD;
BEGIN
 GetTime(hour,min,sec,sec100);
 name:=st(hour)+':'+st(min)+':'+st(sec)+','+st(sec100);
END;

PROCEDURE getsysdate;
VAR year,month,day,dayofweek:WORD;
BEGIN
 GetDate(year,month,day,dayofweek);
 name:=st(day)+'.'+st(month)+'.'+st(year);
END;

BEGIN
 q:=Pos ('^',x);
 i:=q;
 name:='';
 WHILE (i <= Length(x)) AND (x[i] <> ' ') DO
  BEGIN
  name:=name+ UpCase(x[i]);
  INC (i);
  END;
 IF q < Pos ('=',name) THEN name:=Copy (name,1,Pos('=',name)-1);

 Delete (x,q,Length(name));
{ hier kommen die belegten Makros }

 IF name = '^AKTDIR'    THEN GetDir (0,name);
 IF name = '^VERSION'   THEN getDosversion;
 IF name = '^LASTDRIVE' THEN getlastdrive;
 IF name = '^TASTE'     THEN gettaste;
 IF name = '^STRING'    THEN ReadLn (name);
 IF name = '^TIME'      THEN getsystime;
 IF name = '^DATE'      THEN getsysdate;
 IF name = '^ADP'       THEN addpath;
 IF Copy(name,1,2) = '^-' THEN Deletepath;

 IF name = '^SAVE' THEN save_environment;
 IF name = '^LOAD' THEN load_environment;
 IF name = '^CLEAR'THEN clear_environment;
 IF Copy (name,1,1)='^' THEN error ('Makro '+name+' unbekannt',5);
 IF Length(name)+Length(x) > 255 THEN error ('String-berlauf',8);
 Insert (name,x,q);
END;

PROCEDURE setextenv (x:STRING);
 { Expandiert zuvor Variable und Makros }
VAR q,r:BYTE;
    envar:STRING;
    i:INTEGER;
BEGIN
 REPEAT
 { eventuelle Variablen (durch # markiert) expandieren }
 q:= Pos ('#',x);
 IF q >0 THEN
  BEGIN
  x[q]:=#0;
  r:=Pos ('#',x);
  IF r > 0 THEN
   BEGIN
   envar:=Copy(x,q+1,r-q-1);
   FOR i:=1 TO Length (envar) DO envar[i]:=UpCase(envar[i]);
   IF Length(getenv(envar))+Length(x) > 255 THEN
    error ('Lnge fr Environmentstring > 255',6);
   x:=Copy (x,1,q-1)+getenv(envar)+Copy(x,r+1,255)
   END
  ELSE x[q]:='#';
  END;
 UNTIL (q = 0) OR ((r=0) AND (q>0));

 { eventuelle Makros (^xxxx) suchen und ausfhren }
 WHILE Pos ('^',x) > 0 DO get_makro (x);
 IF x <> 'EXIT' THEN setenvironment(x);
END;


FUNCTION search_command:POINTER;
 { Sucht PSP des UR-COMMAND.COM
   Wer will, kann hier auch andere Suchmethoden fr
   den PSP der UR-COMMAND.COM verwenden. }

VAR int2e:POINTER;

BEGIN
 GetIntVec ($2E,int2e);
 search_command:=Ptr(Seg(int2e^),0);
END;


(*
Function search_command:pointer;
 { Sucht PSP des aktuellen COMMAND.COM }
 begin
   { Den PSP des jeweiligen
   Parent-Prozesses findet man ber den Eintrag
   parentseg im PSP des Programmes:

   S_PSP:=ptr(ownpsp^.parentseg,0);

   ber parentseg kann man sich durch den Stammbaum
   des Programmes durchhangeln bis man auf COMMAND.COM
   stt, welches man daran erkennt, da es seinen
   eigenen PSP als Parentseg enthlt }

var s_psp:^psptyp;
   begin
   s_psp:=pointer(ownpsp);
   while s_psp^.parentseg <> seg (s_psp^) do
     s_psp:= ptr (s_psp^.parentseg,0);
   search_command:=s_psp;
   end;
end;
*)

procedure EnvInfo;
VAR i:INTEGER;
    len:WORD;

begin
 para:='';
 FOR i:=1 TO ParamCount DO para:=para+' '+ParamStr(i);
 IF Length (para) > 0 THEN Delete (para,1,1);
 IF ParamCount > 0 THEN setextenv(para)
 ELSE
  BEGIN
  len:=Length(getenv(#0));
  envende:=SI;
  WriteLn ('COMMAND-Environment bei: ',hexword(Seg(comenv^)),':0000',
            envende:6, ' Bytes von maximal ',maxbytes,' Bytes');
  FOR i:=1 TO envcount DO WriteLn (envstr(i));
  END;
end;

BEGIN
 ownpsp:=Ptr(prefixseg,0);
 ownenv:=Ptr(ownpsp^.envseg,0);

 compsp:=search_command;
 comenv:=Ptr(compsp^.envseg,0);

 IF Seg(comenv^) <=Seg(compsp^) THEN
  error ('UNIT SETENV: keinen Kommando-Interpreter gefunden',7);

 ownpsp^.envseg:=compsp^.envseg;
 envseg:=ownpsp^.envseg;
 emax:=Ptr(envseg-1,3);
 maxbytes:=emax^ SHL 4;
  { von nun an beziehen sich
    die Funktionen Getenv, envstr und Envcount
    auf das Globale Environment von COMMAND.COM }

END.

