unit tvutil;

interface

function IsRights(path:string):boolean;
function GetTrusteeBox(var Path:string; var Rights:word):boolean;

function int2str(x:word):string;
function str2int(s:string):word;
function left(s:string;max:byte):string;

implementation

uses dialogs,objects,views,app,
     nwfile;

function IsRights(path:string):boolean;
var rights:word;
    canpath:string;
begin
    gettrueentryname(path,canpath);
    if geteffectiverights(0,canpath,rights)
    and (Rights <> $FF)
    and ((Rights and TA_READ) >0)
      then isrights:=true
      else isrights:=false;
end;

function GetTrusteeBox(var Path:string; var Rights:word):boolean;
{$I aus_trus.src }
var d:PDialog;
begin
  d:=makedialog;
  d^.options := d^.options or ofcentered;
  datarec.path:='';
  datarec.wahl:=$0042;
  if application^.executeDialog(d,@datarec) = cmOk then
    begin
      path:=datarec.path;
      rights:=0;
      if datarec.wahl and $01>0 then Rights:=Rights+TA_SUPERVISOR;
      if datarec.wahl and $02>0 then Rights:=Rights+TA_READ;
      if datarec.wahl and $04>0 then Rights:=Rights+TA_WRITE;
      if datarec.wahl and $08>0 then Rights:=Rights+TA_CREATE;
      if datarec.wahl and $10>0 then Rights:=Rights+TA_DELETE;
      if datarec.wahl and $20>0 then Rights:=Rights+TA_MODIFY;
      if datarec.wahl and $40>0 then Rights:=Rights+TA_SEARCH;
      if datarec.wahl and $80>0 then Rights:=Rights+TA_ACCESS;
      getTrusteeBox:=true;
    end else getTrusteeBox:=false;
end;

function int2str(x:word):string;
var s:string;
begin
  str(x,s);
  int2str:=s;
end;

function str2int(s:string):word;
var x:word;
    code:integer;
begin
  val(s,x,code);
  str2int:=x;
end;

function left(s:string;max:byte):string;
begin
  s:=copy(s,1,max);
  while length(s)<max do s:=s+' ';
  left:=s;
end;

end.