unit users;

interface

type TNewUsers =object
                  f,g   :text;
                  error :byte;
                  aktnr :word; { aktuelle Benutzernummer }

                  constructor open(gruppe :string);
                  procedure add(name :string);
                  destructor close;
                end;
type TDelUsers =object
                  f,g   :text;
                  error :byte;

                  constructor open;
                  procedure add(log :string);
                  destructor close;
                end;

implementation

uses  DOS, msgbox, nwBindry, nwFile, nwMisc;
const tempdir ='h:\'; { mit '\' am Ende! }
      kennung ='S';
      Homes ='vw1:home';
      VolRest ='sys,0;vw1,1500';

constructor TNewUsers.open;
const Tag :Array[0..6] of string[10] =('Sonntag','Montag','Dienstag',
                             'Mittwoch','Donnerstag','Freitag','Samstag');
var   Hour, Minute, Second, Sec100,
      Year, Month, Day, DayOfWeek   :Word;

  function zweistell(n :word) :string;
  var s :string[2];
  begin
    Str(n:2,s);
    if s[1]=' ' then s[1]:='0';
    zweistell:=s
  end;

begin
  error:=0;
  aktnr:=0;
  Randomize;
  { makeuser-Skript }
  Assign(f,tempdir+'neue.usr');
  Rewrite(f);
  error:=IOResult;
  if error<>0 then exit;
  writeln(f,'#reset');
  writeln(f,'#connections 1');
  writeln(f,'#password_required');
  writeln(f,'#password_length 5');
  writeln(f,'#home_directory ',Homes);
  writeln(f,'#max_disk_space ',VolRest);
  writeln(f,'#groups schueler;',gruppe);
  { Passwort-Liste }
  Assign(g,tempdir+'neue.pwd');
  {$I-} Append(g); {$I+}
  if IOResult<>0 then Rewrite(g);
  error:=IOResult;
  if error<>0 then exit;
  GetDate(Year,Month,Day,DayOfWeek);
  GetTime(Hour,Minute,Second,Sec100);
  writeln(g);
  writeln(g,'*** ',Tag[DayOfWeek],', ',Day,'.',Month,'.',Year,', ',
                        Hour,':',zweistell(Minute),':',zweistell(Second))
end;

procedure TNewUsers.add;
var log, pw :string;
    i       :byte;
    objID   :LongInt;
begin
  { Suche freie Nummer }
  aktnr:=0;
  repeat
    inc(aktnr);
    log:=kennung+HexStr(aktnr,3)
  until not GetBinderyObjectID(log,OT_USER,objID);
  pw[0]:=#5;
  for i:=1 to 5 do pw[i]:=chr(Random(25)+65);
  writeln(f,'#create ',log,';',name,';',pw,'^');
  writeln(g,name,': ',log,', ',pw);
end;

destructor TNewUsers.close;
const probs :Boolean =False;
var   s     :string;
      n     :Integer;
begin
  system.Close(g);
  system.Close(f);
  SwapVectors;
  Exec('makeuser.exe',tempdir+'neue.usr >'+tempdir+'asne.tmp');
  SwapVectors;
  n:=DOSError;
  if n<>0 then
    messagebox('Ich konnte MAKEUSER nicht ausfhren!',nil,
                                                mfError+mfOKButton)
  else begin
    Assign(g,tempdir+'neue.rpt');
    Reset(g);

    writeln('Probleme:');
    while not EOF(g) do begin
      readln(g,s);
      if (Length(s)<>0) and (Pos('created',s)=0) then begin
        writeln(s);
        probs:=True
      end
    end;
    system.Close(g);
    if not probs then begin
      writeln('<keine>');
{      system.Erase(f)}
    end
  end
end;

constructor TDelUsers.open;
const Tag :Array[0..6] of string[10] =('Sonntag','Montag','Dienstag',
                             'Mittwoch','Donnerstag','Freitag','Samstag');
var   Hour, Minute, Second, Sec100,
      Year, Month, Day, DayOfWeek   :Word;

  function zweistell(n :word) :string;
  var s :string[2];
  begin
    Str(n:2,s);
    if s[1]=' ' then s[1]:='0';
    zweistell:=s
  end;

begin
  error:=0;
  Randomize;
  { makeuser-Skript }
  Assign(f,tempdir+'geloesch.usr');
  Rewrite(f);
  error:=IOResult;
  if error<>0 then exit;
  writeln(f,'#home_directory ',Homes);
  writeln(f,'#purge_user_directory');
  { Geloescht-Liste }
  Assign(g,tempdir+'geloesch.pwd');
  {$I-} Append(g); {$I+}
  if IOResult<>0 then Rewrite(g);
  error:=IOResult;
  if error<>0 then exit;
  GetDate(Year,Month,Day,DayOfWeek);
  GetTime(Hour,Minute,Second,Sec100);
  writeln(g);
  writeln(g,'*** ',Tag[DayOfWeek],', ',Day,'.',Month,'.',Year,', ',
                        Hour,':',zweistell(Minute),':',zweistell(Second))
end;

procedure TDelUsers.add;
begin
  writeln(f,'#delete ',log);
  writeln(g,log);
end;

destructor TDelUsers.close;
const probs :Boolean =False;
var   s     :string;
      n     :Integer;
begin
  system.Close(g);
  system.Close(f);
  SwapVectors;
  Exec('makeuser.exe',tempdir+'geloesch.usr');
  SwapVectors;
  n:=DOSError;
  if n<>0 then writeln('Ich konnte MAKEUSER nicht ausfhren! (',n,')')
  else begin
    Assign(g,tempdir+'geloesch.rpt');
    Reset(g);
    writeln('Probleme:');
{    while not EOF(g) do begin
      readln(g,s);
      if (Length(s)<>0) and (Pos('not deleted',s)<>0) then begin
        writeln(s);
        probs:=True
      end
    end;
    system.Close(g);}
    if not probs then begin
      writeln('<keine>');
      system.Erase(f)
    end
  end
end;


end.
